Do you want to fix the broken clock in BT4 Beta?
--begin-custom--
modprobe rtc-cmos
echo -e "\nrtc-cmos" >> /etc/modules
--end-custom--

Would you like to fix the broken netdiscover in BT4 Beta?
--begin-custom--
wget http://virjacode.com/projects/beefup/dloads/netdiscover -O /usr/sbin/netdiscover
--end-custom--

Would you like SpoonWEP?
--begin-custom--
wget http://virjacode.com/projects/beefup/dloads/spoonwep.lzm
lzm2dir spoonwep.lzm /
rm /bin/sh
ln -s /bin/bash /bin/sh
#--begin-cleanup--
rm spoonwep.lzm
rm spoonwpa.lzm
#--end-cleanup--
--end-custom--

Would you like SpoonWPA?
--begin-custom--
wget http://virjacode.com/projects/beefup/dloads/spoonwpa.lzm
lzm2dir spoonwpa.lzm /
#--begin-cleanup--
rm spoonwpa.lzm
#--end-cleanup--
--end-custom--

Would you like MDK3?
--begin-custom--
wget http://virjacode.com/projects/beefup/dloads/mdk3.tar.bz2
tar xjf mdk3.tar.bz2
cd mdk3-v5
sed -i 's|-Wall|-w|g' ./Makefile
sed -i 's|-Wextra||g' ./Makefile
sed -i 's|-Wall||g' ./osdep/common.mak
sed -i 's|-Wextra||g' ./osdep/common.mak
sed -i 's|-Werror|-w|g' ./osdep/common.mak
sed -i 's|-W||g' ./osdep/common.mak
make
make install
cd ..
#--begin-cleanup--
rm mdk3.tar.bz2
rm -r mdk3-v5
#--end-cleanup--
--end-custom--

Do you want to add the OpenOffice repositories to apt-get?
--begin-custom--
echo -e "\n" >> /etc/apt/sources.list
echo deb http://ppa.launchpad.net/openoffice-pkgs/ppa/ubuntu intrepid main >> /etc/apt/sources.list
echo -e "\n" >> /etc/apt/sources.list
echo deb-src http://ppa.launchpad.net/openoffice-pkgs/ppa/ubuntu intrepid main >> /etc/apt/sources.list
apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 247D1CFF
apt-get update
--end-custom--

Would you like to install the Adobe Flash Player Plug-in for Firefox?
--begin-custom--
wget http://virjacode.com/projects/beefup/dloads/linux_flash.tar.gz
tar xzf linux_flash.tar.gz
cd install_flash_player_10_linux
mkdir /usr/lib/mozilla/plugins
install -m 0755 libflashplayer.so /usr/lib/mozilla/plugins/
cd ..
#--begin-cleanup--
rm linux_flash.tar.gz
rm -r install_flash_player_10_linux
#--end-cleanup--
--end-custom--

For playing audio and video files, would you like mplayer?
mplayer

Another good media player is VLC, do you want it?
vlc vlc-plugin-arts mozilla-plugin-vlc
#For GNOME, change "arts" to "esd"

Would you like to see a list of cool utilities for mounting special*file systems into your Linux filesystem (e.g. for mounting FTP)?
--begin-custom--
#nothing
--end-custom--
--begin-sub--
#For mounting remote UNIX file systems over SSH, would you like SSHfs?
#sshfs
For mounting FTP sites, would you like curlftpfs?
curlftpfs
--end-sub--

Would you like to see a list of cool utilities for running your computer as a network server?
--begin-custom--
#nothing
--end-custom--
For a proxy server for filtering and caching content, do you want Squid?
squid
#To run a HTTP server, do you want Apache?
#apache

# Need to add a DNS server program

Would you like the full OpenOffice suite?
openoffice.org

For editing and resizing pictures, would you like GIMP?
gimp

For creating bootable USB's from ISO images, would you like unetbootin?
--begin-custom--
wget http://virjacode.com/projects/beefup/dloads/unetbootin -O /usr/sbin/unetbootin
--end-custom--

#Do you want to see a list of cool plug-in's for Firefox?
#--begin-custom--
#nothing
#--end-custom--
#--begin-sub--
#With Autopager, instead of having to click "Next Page" in search results, you can keep scrolling down and scrolling down and the next pages will be loaded automatically (so you can scroll forever). Do you want it, it's pretty cool?
#auto-pager
#--end-sub--

For sending and receiving e-mail, would you like Thunderbird?
thunderbird
--begin-sub--
For encrypting and decrypting e-mail, would you like the Engimail plug-in for Thunderbird?
enigmail
--end-sub--

For a Bittorrent client, would you like Transmission?
transmission

For accessing Virtual Private Networks (VPN's), would you like OpenVPN?
openvpn

For playing mp3 files at the commandline, would you like mpg123?
mpg123

For working on C and C++ programming projects, would you like Code:Blocks?
codeblocks

Would you like to install a load of commonly-used libraries for C and C++?
libmudflap0 libmudflap0-4.3-dev libncurses5-dev libgmp3-dev

For making recordings of your actions on your PC, e.g. for making a tutorial video, would you like recordmypc?
qt-recordmypc
